> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonLiquidity

> Liquidity in TON and USD



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/liquidity
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/liquidity:
    get:
      tags:
        - JettonsService
      summary: getJettonLiquidity
      description: Liquidity in TON and USD
      operationId: JettonsService_GetLiquidity
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
        - name: currency
          in: query
          schema:
            type: string
            default: ton
            enum:
              - ton
              - usd
              - eur
              - gbp
              - jpy
              - byn
              - ves
              - rub
              - uah
              - kzt
              - krw
              - ils
              - idr
              - aed
              - gel
              - twd
              - try
              - hkd
              - inr
              - cad
              - amd
              - aud
              - pln
              - cop
              - brl
              - chf
              - mxn
              - ars
              - sgd
              - sar
              - mdl
              - ron
              - sek
              - azn
              - rsd
              - nok
              - myr
              - bgn
              - egp
              - gtq
              - clp
              - nzd
              - bdt
              - kgs
              - thb
              - uzs
              - uyu
              - vnd
              - ugx
              - kes
              - zar
              - etb
              - ngn
              - lkr
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetLiquidityResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetLiquidityResponse:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/v1DecimalValue'
        ton:
          $ref: '#/components/schemas/v1DecimalValue'
        usd:
          $ref: '#/components/schemas/v1DecimalValue'
        currency:
          $ref: '#/components/schemas/v1DecimalValue'
        changedAt:
          title: Change date
          type: string
          description: Date and time of last liquidity change
          format: date-time
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object

````